#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0xD5,0x0B,0x31,0x64,0xF6,0x44,0x51,0x51,0xC9,0x7F,0xA3,
		0xBF,0xAF,0xDD,0xCE,0x86,0x13,0xFC,0x73,0xCA,0x71,0xF3,0x54,
		0xF7,0x87,0x46,0x95,0x53,0x5E,0x46,0x0B,0x00,0x8B,0x44,0x80,
		0xB7,0x5D,0x2B,0x98,0xA5,0x71,0xB8,0x66,0x71,0xF6,0xA7,0xFC,
		0x56,0x6E,0x0E,0x36,0xB4,0xF4,0x54,0xE9,0x07,0x9A,0x84,0x39,
		0x8A,0xCF,0xB5,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
